<!--section-->
<section>
    <div class="container">
        <div class="row">
            <%= render 'layouts/sidebar' %>
            <!--middle-section-->
            <div class="col-md-9 col-xs-12">
                <div class="article gameplan">

                    <div class="header"><h1><a href="#" class="back-icon" data-id=-1></a> Gameplan Test</h1></div>
                    <!-- <div class="container">
                        <div class="progress">
                            <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width:40%">
                                40% Complete (success)
                            </div>
                        </div>
                    </div> -->
                    <% total = @questions.count %>
                    <% count = 0 %>
                    <%= form_tag('/gameplan/user_answers', id: 'gameplan_questions_form', method: :post) do %>
                        <% len = @questions.count %>
                        <% (0..len - 1).each do |i| %>
                            <% if count == i %>
                                <div id="question_<%= i %>" class="questions">
                                    <div class="gameplan-exam">
                                        <h1><strong>Question</strong><br/><span><%= i+1 %>/<%= len %></span></h1>
                                        <%# logger.info "===index===#{i}===#{@questions[i].class}" %>
                                        <div class="exam-box">
                                            <%= text_field_tag "gameplan_question[user_answers][#{i}][gameplan_question_id]", @questions[i]['id'], hidden: true %>
                                            <%= text_field_tag "gameplan_question[user_answers][#{i}][question_points]", @degree.eql?('undergraduate') ? @questions[i]['undergraduate_points'] : @questions[i]['graduate_points'], hidden: true %>
                                            <h2 class="question question_type_<%= i %>" data-type="<%= @questions[i]["question_type"]  %>">
                                                <span style="display: inline-flex"><%= i + 1 %>.<div class="question_element"><%= @questions[i]["question"] %></div></span>
                                            </h2>
                                            <% if @questions[i]["question_type"].eql?('drop-down') %>
                                                <div class="iqoptions">
                                                    <div class="form-group filter_select">
                                                        <!-- <select class="form-control"><option>Please select country</option></select> -->
                                                        <%#= text_field_tag "gameplan_question[user_answers][#{i}][answer_points]",  %>
                                                        <%= select_tag "gameplan_question[user_answers][#{i}][answer_id]", options_for_select(Country.order('name ASC').map{ |x| [ x.name, x.id ] }), { prompt: 'Please Select a Country', class: "form-control gameplan_question_select select2 gameplan_question_#{i}" } %>
                                                    </div>
                                                </div>
                                            <% elsif @questions[i]["question_type"].eql?('single-choice') %>
                                                <div class="iqoptions">
                                                    <ul>
                                                        <% logger.info "===qts===#{@questions[i][:options]}" %>
                                                        <% @questions[i][:options].each do |option| %>
                                                            <%# logger.info "===option===#{option}" %>
                                                            <li>
                                                                <label class="cradio"><%= option["answer"] %>
                                                                    <!-- <input type="radio" name="answer_id"> -->
                                                                    <%= radio_button_tag "gameplan_question[user_answers][#{i}][answer_id]", option['id'], false, class: "gameplan_question_#{i}" %>
                                                                    <span class="checkmark"></span>
                                                                    <%= text_field_tag "gameplan_question[user_answers][#{i}][answer_points]", option['points'], hidden: true %>
                                                                </label>
                                                            </li>
                                                        <% end %>
                                                    </ul>
                                                </div>
                                            <% elsif @questions[i]["question_type"].eql?('multiple-choice') %>
                                                <div class="iqoptions">
                                                    <ul>
                                                        <% @questions[i][:options].each do |option| %>
                                                            <%# logger.info "===option===#{option}" %>
                                                            <li>
                                                                <label class="ccheckbox"><%= option["answer"] %>
                                                                    <!-- <input type="radio" name="answer_id"> -->
                                                                    <%# logger.info "===#{option['id']}" %>
                                                                    <%= check_box_tag "gameplan_question[user_answers][#{i}][answer_id][]", option['id'], false, class: "gameplan_question_#{i}" %>
                                                                    <span class="checkmark"></span>
                                                                    <%= text_field_tag "gameplan_question[user_answers][#{i}][answer_points]", option['points'], hidden: true %>
                                                                </label>
                                                            </li>
                                                        <% end %>
                                                    </ul>
                                                </div>
                                            <% elsif @questions[i]["question_type"].eql?('selection') %>
                                                <div class="iqoptions">
                                                    <ul>
                                                        <% @questions[i][:options].each_with_index do |option, index| %>
                                                        <% logger.info "===op===#{option.inspect}" %>
                                                            <li class="child_question child_question_<%= i %>" data-count="<%= @questions[i][:options].count %>">
                                                                <p><%= option["option"] %></p>
                                                                <% option[:answers].each do |ans| %>
                                                                    <div class="row">
                                                                        <div class="col-sm-4">
                                                                            <label class="cradio"><%= ans["answer"] %>
                                                                                <%= radio_button_tag "gameplan_question[user_answers][#{i}][answer_id][#{ans['option_id']}]", ans['id'], false, class: "gameplan_question_#{i}" %>
                                                                                <span class="checkmark"></span>
                                                                                <%= text_field_tag "gameplan_question[user_answers][#{i}][answer_points]", ans['points'], hidden: true %>
                                                                            </label>
                                                                        </div>
                                                                    </div>
                                                                <% end %>
                                                            </li>
                                                        <% end %>
                                                    </ul>
                                                </div>
                                            <% end %>
                                        </div>
                                    </div>
                                    <div class="article-footer">
                                        <% if i == total - 1 %>
                                            <%#= submit_tag 'Submit Test', class: "btn btn-theme rounded center-block btn_next" %>
					                         <a href="javascript:void(0);" class="btn btn-theme rounded center-block btn_next" data-id="<%= i %>" data-total="<%= len - 1 %>">Submit</a>
                                        <% else %>
                                            <a href="javascript:void(0);" class="btn btn-theme rounded center-block btn_next" data-id="<%= i %>" data-total="<%= len - 1 %>">Next Question</a>
                                        <% end %>
                                    </div>
                                </div>
                            <% end %>
                            <% count = count + 1 %>
                        <% end %>
                    <% end %>
                </div>
            </div>
            <!--/middle-section-->
        </div>
    </div>
</section>
<!--/section-->
